Bug 164979 - [maintainer update] net-p2p/retroshare: update to 0.5.3a
[maintainer update] net-p2p/retroshare: update to 0.5.3a
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-11 14:40 UTC by glocke
Modified: 2012-02-27 15:10 UTC (History)
0 users

See Also:


Attachments
retroshare-0.5.3a.patch (21.35 KB, patch)
2012-02-11 14:40 UTC, glocke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description glocke 2012-02-11 14:40:08 UTC
- Update to 0.5.3a

Removed file(s):
- files/patch-libbitdht-src-util-bdrandom.cc
- files/patch-libretroshare-src-dbase-findex.h
- files/patch-libretroshare-src-ft-ftfilecreator.h
- files/patch-libretroshare-src-ft-ftfileprovider.h
- files/patch-libretroshare-src-libretroshare.pro
- files/patch-libretroshare-src-rsserver-rsinit.cc
- files/patch-libretroshare-src-rsserver-rsloginhandler.cc
- files/patch-libretroshare-src-upnp-upnphandler.cc
- files/patch-libretroshare-src-upnp-upnphandler.h
- files/patch-libretroshare-src-util-rsdir.h
- files/patch-libretroshare-src-util-rsdiscspace.cc
- files/patch-libretroshare-src-util-rsrandom.cc
- files/patch-retroshare-gui-src-RetroShare.pro
- files/rsinit.h


Generated with FreeBSD Port Tools 0.99
Comment 1 scheidell freebsd_committer 2012-02-16 12:23:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 scheidell freebsd_committer 2012-02-16 12:27:26 UTC
State Changed
From-To: open->feedback

Patch is malformed, corrupt and is wrapped. 
Please do not 'cut and paste' your patch. 
Do not use an editor that wraps test. 
Do not include any patch that has the $FreeBSD cvs line in it. 
Resubmit patch and someone will look at it. 



Comment 3 scheidell freebsd_committer 2012-02-16 12:27:26 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

Back to pool
Comment 4 scheidell freebsd_committer 2012-02-20 19:35:25 UTC
State Changed
From-To: feedback->open

Reset to open
Comment 5 glocke 2012-02-20 19:45:36 UTC
>Submitter-Id:	current-users
>Originator:	Peter Klett
>Organization:	
>Confidential:	no
>Synopsis:	Re: ports/164979: [maintainer update][patch] net-p2p/retroshare: update to 0.5.3a
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		maintainer-update
>Release:	FreeBSD 9.0-PRERELEASE amd64
>Environment:	System: FreeBSD antec 9.0-PRERELEASE FreeBSD 9.0-PRERELEASE #0: Sat Nov 26 00:14:30 CET 2011
>Description:
- Update to 0.5.3a

Removed files:
- files/patch-libbitdht-src-util-bdrandom.cc
- files/patch-libretroshare-src-dbase-findex.h
- files/patch-libretroshare-src-ft-ftfilecreator.h
- files/patch-libretroshare-src-ft-ftfileprovider.h
- files/patch-libretroshare-src-libretroshare.pro
- files/patch-libretroshare-src-rsserver-rsloginhandler.cc
- files/patch-libretroshare-src-upnp-upnphandler.cc
- files/patch-libretroshare-src-upnp-upnphandler.h
- files/patch-libretroshare-src-util-rsdir.h
- files/patch-libretroshare-src-util-rsdiscspace.cc
- files/patch-libretroshare-src-util-rsrandom.cc
- files/patch-retroshare-gui-src-RetroShare.pro
- files/rsinit.h


>How-To-Repeat:

>Fix:

diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/Makefile /home/retep/src/redports/glocke/net-p2p/retroshare/Makefile
--- /usr/ports/net-p2p/retroshare/Makefile	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/Makefile	2012-02-20 20:20:20.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	retroshare
-PORTVERSION=	0.5.2a
+PORTVERSION=	0.5.3a
 CATEGORIES=	net-p2p
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=${PORTNAME}/${BINARY}/${PORTVERSION}
@@ -29,35 +29,52 @@
 		qmake_build moc_build rcc_build
 HAS_CONFIGURE=	yes
 BINARY=		RetroShare
+BINARY_NOGUI=	retroshare-nogui
 
 DESKTOP_ENTRIES="${BINARY}" "${COMMENT}" "" "${BINARY}" \
 		"Network;FileTransfer;" true
 
-CFLAGS+=	-I${LOCALBASE}/include/gpgme
+OPTIONS=	NOGUI "Also build nogui binary" Off
 
-USE_DOS2UNIX=	retroshare-gui/src/${BINARY}.pro
+.include <bsd.port.options.mk>
 
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 		${QMAKE} PREFIX=${PREFIX} ${BINARY}.pro
 
 post-patch:
-	${CP} ${FILESDIR}/rsinit.h ${WRKSRC}/libretroshare/src/rsserver
+	@${REINPLACE_CMD} -e 's|plugins|#plugins|' ${WRKSRC}/${BINARY}.pro
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/libretroshare/src/libretroshare.pro
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/retroshare-gui/src/RetroShare.pro
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/retroshare-nogui/src/retroshare-nogui.pro
+	@${REINPLACE_CMD} -e 's|/usr/local/share/retroshare|${DATADIR}|' \
+		${WRKSRC}/libretroshare/src/rsserver/rsinit.cc
+.if defined(WITHOUT_NOGUI)
+	@${REINPLACE_CMD} -e 's|retroshare-nogui|#retroshare-nogui|' \
+		${WRKSRC}/${BINARY}.pro
+	@${REINPLACE_CMD} -e 's|RetroShare.pro \\|RetroShare.pro|' \
+		${WRKSRC}/${BINARY}.pro
+.else
+	@${REINPLACE_CMD} -e 's|retroshare-nogui.pro \\|retroshare-nogui.pro|' \
+		${WRKSRC}/${BINARY}.pro
+.endif
+
+pre-install:
+.if defined(WITHOUT_NOGUI)
+PLIST_SUB+=	NOGUI="@comment "
+.else
+PLIST_SUB+=	NOGUI=""
+.endif
 
 post-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-gui/src/${BINARY} ${PREFIX}/bin
+.if defined(WITH_NOGUI)
+	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-nogui/src/${BINARY_NOGUI} ${PREFIX}/bin
+.endif
 	${MKDIR} ${DATADIR}
 	${INSTALL_MAN} ${WRKSRC}/libbitdht/src/example/bdboot.txt ${DATADIR}
-	@${ECHO_MSG} "**************************************************"
-	@${ECHO_MSG} "*               POST INSTALL                     *"
-	@${ECHO_MSG} "**************************************************"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "After you have created an account, you should copy"
-	@${ECHO_MSG} "${DATADIR}/bdboot.txt into your"
-	@${ECHO_MSG} "~/.retroshare/YOURCERT/ directory to seed DHT with"
-	@${ECHO_MSG} "initial nodes. UPnP does not work right now, you"
-	@${ECHO_MSG} "have to use port forwarding to connect to others."
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "**************************************************"
 
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/distinfo /home/retep/src/redports/glocke/net-p2p/retroshare/distinfo
--- /usr/ports/net-p2p/retroshare/distinfo	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/distinfo	2012-02-09 21:39:26.000000000 +0100
@@ -1,2 +1,2 @@
-SHA256 (RetroShare-v0.5.2a.tar.gz) = 33838c0234e779e6b310bbd19bf6c5c0394e84cc5b418114b68f0cac8c1eec18
-SIZE (RetroShare-v0.5.2a.tar.gz) = 10334273
+SHA256 (RetroShare-v0.5.3a.tar.gz) = 744f3d410c57e51455d07fe9e77dc9e645a58de454ce5248aa8704c41d2df3a4
+SIZE (RetroShare-v0.5.3a.tar.gz) = 6419672
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
-+++ libbitdht/src/util/bdrandom.cc	2012-01-15 03:45:36.000000000 +0100
---- libbitdht/src/util/bdrandom.cc.orig	2012-01-15 03:45:07.000000000 +0100
-@@ -13,7 +13,7 @@
-   #ifdef __APPLE__
- 	static bool auto_seed = bdRandom::seed( (time(NULL) + pthread_mach_thread_np(pthread_self())*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
-   #else
-+//    static bool auto_seed = bdRandom::seed( (time(NULL) + pthread_self()*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
--    static bool auto_seed = bdRandom::seed( (time(NULL) + pthread_self()*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
-   #endif
- #endif
- bool bdRandom::seed(uint32_t s) 
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,17 +0,0 @@
---- libretroshare/src/dbase/findex.h.orig	2011-04-15 22:21:52.000000000 +0200
-+++ libretroshare/src/dbase/findex.h	2012-01-15 03:55:27.000000000 +0100
-@@ -33,6 +33,14 @@
- #include <stdint.h>
- #include "retroshare/rstypes.h"
- 
-+#include <dirent.h>
-+#include <fnmatch.h>
-+#include <unistd.h>
-+#define O_LARGEFILE      0100000
-+#define stat64 stat
-+#define _stat stat
-+#define _getcwd getcwd
-+
- class ostream;
- 
- /******************************************************************************************
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- libretroshare/src/ft/ftfilecreator.h~	2011-04-25 16:20:57.000000000 +0200
-+++ libretroshare/src/ft/ftfilecreator.h	2012-01-15 20:30:41.000000000 +0100
-@@ -35,6 +35,7 @@
- #include "ftfileprovider.h"
- #include "ftchunkmap.h"
- #include <map>
-+#define fseeko64 fseeko
- 
- class ZeroInitCounter
- {
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- libretroshare/src/ft/ftfileprovider.h~	2011-02-20 01:59:47.000000000 +0100
-+++ libretroshare/src/ft/ftfileprovider.h	2012-01-15 04:01:35.000000000 +0100
-@@ -34,6 +34,7 @@
- #include <stdint.h>
- #include "util/rsthreads.h"
- #include "retroshare/rsfiles.h"
-+#define fseeko64 fseeko
- 
- class ftFileProvider
- {
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- libretroshare/src/libretroshare.pro~	2011-08-03 19:43:26.000000000 +0200
-+++ libretroshare/src/libretroshare.pro	2012-01-15 04:20:41.000000000 +0100
-@@ -104,6 +104,7 @@
- 	INCLUDEPATH += . $${BITDHT_DIR}
- 	# The next line if for compliance with debian packages. Keep it!
- 	INCLUDEPATH += ../libbitdht
-+	INCLUDEPATH += $${PREFIX}/include/gpgme
- 	DEFINES *= RS_USE_BITDHT
- }
- 
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc	2012-02-20 20:00:35.000000000 +0100
@@ -1,88 +1,18 @@
---- libretroshare/src/rsserver/rsinit.cc.org	2012-01-15 04:34:27.000000000 +0100
-+++ libretroshare/src/rsserver/rsinit.cc	2012-01-15 04:35:45.000000000 +0100
-@@ -59,78 +59,14 @@
- 
- #include "tcponudp/udpstunner.h"
- 
--class accountId
--{
--	public:
--		std::string pgpId;
--		std::string pgpName;
--		std::string pgpEmail;
--
--		std::string sslId;
--                std::string location;
--};
--
--
--class RsInitConfig 
--{
--	public:
--                /* Directories (SetupBaseDir) */
--                static std::string basedir;
--                static std::string homePath;
--#ifdef WINDOWS_SYS
--                static bool portable;
--                static bool isWindowsXP;
--#endif
--
--		static std::list<accountId> accountIds;
--		static std::string preferedId;
--
--		/* for certificate creation */
--                //static std::string gpgPasswd;
--
--#ifndef WINDOWS_SYS
--		static int lockHandle;
--#else
--		static HANDLE lockHandle;
--#endif
--
--		/* These fields are needed for login */
--                static std::string loginId;
--                static std::string configDir;
--                static std::string load_cert;
--                static std::string load_key;
--
--		static std::string passwd;
--
--                static bool autoLogin;                  /* autoLogin allowed */
--                static bool startMinimised; 		/* Icon or Full Window */
--
--                /* Key Parameters that must be set before
--                 * RetroShare will start up:
--                 */
--
--                /* Listening Port */
--                static bool forceExtPort;
--                static bool forceLocalAddr;
--                static unsigned short port;
--                static char inet[256];
--
--                /* Logging */
--                static bool haveLogFile;
--                static bool outStderr;
--                static bool haveDebugLevel;
--                static int  debugLevel;
--                static std::string logfname;
--
--                static bool firsttime_run;
--                static bool load_trustedpeer;
--                static std::string load_trustedpeer_file;
--
--                static bool udpListenerOnly;
--
--                static std::string RetroShareLink;
--};
-+#include "rsinit.h"
- 
-+#include <fnmatch.h>
-+#include <unistd.h>
-+#define O_LARGEFILE      0100000
-+#define stat64 stat
-+#define _stat stat
-+#define _getcwd getcwd
- 
- const int p3facestartupzone = 47238;
+--- libretroshare/src/rsserver/rsinit.cc.orig	2012-01-27 14:03:59.000000000 +0100
++++ libretroshare/src/rsserver/rsinit.cc	2012-02-19 19:32:50.000000000 +0100
+@@ -878,6 +882,15 @@
+     	dataDirectory += "/Contents/Resources";
+ 	std::cerr << "getRetroshareDataDirectory() OSX: " << dataDirectory;
  
++  #elif (defined(__FreeBSD__) ||  defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__))
++	/* For BSD, the default is LOCALBASE which will be set
++	 * before compilation via the ports/pkg-src mechanisms.
++	 * For compilation without ports/pkg-src it is set to
++	 * /usr/local (default on Open and Free; Net has /usr/pkg)
++	 */
++	dataDirectory = "/usr/local/share/retroshare";
++	std::cerr << "getRetroshareDataDirectory() BSD: " << dataDirectory;
++
+   #else
+ 	/* For Linux, we have a fixed standard data directory  */
+ 	dataDirectory = "/usr/share/RetroShare";
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc	1970-01-01 01:00:00.000000000 +0100
@@ -1,28 +0,0 @@
---- libretroshare/src/rsserver/rsloginhandler.cc.orig	2012-01-15 04:44:59.000000000 +0100
-+++ libretroshare/src/rsserver/rsloginhandler.cc	2012-01-15 04:43:08.000000000 +0100
-@@ -4,6 +4,7 @@
- #include <pqi/authgpg.h>
- #include "rsloginhandler.h"
- #include "util/rsdir.h"
-+#include "rsinit.h"
- 
- #ifdef UBUNTU
- #include <gnome-keyring-1/gnome-keyring.h>
-@@ -196,7 +197,7 @@
- 	/******************** OSX KeyChain stuff *****************************/
- #else /* UNIX, but not UBUNTU or APPLE */
- 
--	FILE* helpFile = RsDirUtil::rs_fopen(getAutologinFileName.c_str(), "r");
-+	FILE* helpFile = RsDirUtil::rs_fopen(getAutologinFileName(ssl_id).c_str(), "r");
- 
- 	if(helpFile == NULL){
- 		std::cerr << "\nFailed to open help file\n" << std::endl;
-@@ -408,7 +409,7 @@
- #else
- 
- 	/* WARNING: Autologin is inherently unsafe */
--	FILE* helpFile = RsDirUtil::rs_fopen(getAutologinFileName.c_str(), "w");
-+	FILE* helpFile = RsDirUtil::rs_fopen(getAutologinFileName(ssl_id).c_str(), "w");
- 
- 	if(helpFile == NULL){
- 		std::cerr << "\nRsStoreAutoLogin(): Failed to open help file\n" << std::endl;
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- libretroshare/src/upnp/upnphandler.cc~	2011-07-08 11:54:27.000000000 +0200
-+++ libretroshare/src/upnp/upnphandler.cc	2012-01-15 05:27:12.000000000 +0100
-@@ -12,6 +12,7 @@
- #endif
- /* This stuff is actually C */
- 
-+#define do_not_use_this
- #include "upnp/upnphandler.h"
- 
- #include "util/rsnet.h"
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,14 +0,0 @@
---- libretroshare/src/upnp/upnphandler.h~	2010-07-04 12:42:17.000000000 +0200
-+++ libretroshare/src/upnp/upnphandler.h	2012-01-15 05:26:45.000000000 +0100
-@@ -13,7 +13,11 @@
- #include "util/rsthreads.h"
- 
- #include <upnp/upnp.h>
-+#ifdef do_not_use_this
-+#include "upnp/UPnPBase.cpp"
-+#else
- #include "upnp/UPnPBase.h"
-+#endif
- 
- #define RS_UPNP_S_UNINITIALISED  0
- #define RS_UPNP_S_UNAVAILABLE    1
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
---- libretroshare/src/util/rsdir.h.orig	2011-05-15 14:42:55.000000000 +0200
-+++ libretroshare/src/util/rsdir.h	2012-01-15 20:10:19.000000000 +0100
-@@ -31,6 +31,17 @@
- #include <string>
- #include <list>
- #include <stdint.h>
-+#include <fnmatch.h>
-+
-+#include <dirent.h>
-+#include <unistd.h>
-+#define O_LARGEFILE      0100000
-+#define stat64 stat
-+#define _stat stat
-+#define _getcwd getcwd
-+#define fseeko64 fseeko
-+#define fopen64 fopen
-+#define ftello64 ftello
- 
- class CRC32Map ;
- class RsThread;
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
---- libretroshare/src/util/rsdiscspace.cc.orig	2011-07-05 00:59:39.000000000 +0200
-+++ libretroshare/src/util/rsdiscspace.cc	2012-01-15 04:55:17.000000000 +0100
-@@ -31,6 +31,7 @@
- #include <util/rsthreads.h>
- #ifndef WIN32
- #include <sys/statvfs.h>
-+#define statvfs64 statvfs
- #endif
- 
- #define DELAY_BETWEEN_CHECKS 2 
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc
--- /usr/ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- libretroshare/src/util/rsrandom.cc~	2011-07-05 00:59:39.000000000 +0200
-+++ libretroshare/src/util/rsrandom.cc	2012-01-15 04:56:47.000000000 +0100
-@@ -13,7 +13,7 @@
-   #ifdef __APPLE__
- 	static bool auto_seed = RSRandom::seed( (time(NULL) + pthread_mach_thread_np(pthread_self())*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
-   #else
--    static bool auto_seed = RSRandom::seed( (time(NULL) + pthread_self()*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
-+//    static bool auto_seed = RSRandom::seed( (time(NULL) + pthread_self()*0x1293fe + (getpid()^0x113ef76b))^0x18e34a12 ) ;
-   #endif
- #endif
- bool RSRandom::seed(uint32_t s) 
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro
--- /usr/ports/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro	1970-01-01 01:00:00.000000000 +0100
@@ -1,17 +0,0 @@
---- retroshare-gui/src/RetroShare.pro.orig	2011-08-03 19:45:03.000000000 +0200
-+++ retroshare-gui/src/RetroShare.pro	2012-01-15 12:55:12.000000000 +0100
-@@ -153,9 +153,12 @@
- 
- # ###########################################
- 
-+INCLUDEPATH += $${PREFIX}/include/gpgme
-+LIBS += ../../libretroshare/src/libretroshare.a -lssl -lgpgme -lupnp
-+
- bitdht {
--	LIBS += ../../libbitdht/src/lib/libbitdht.a
--	PRE_TARGETDEPS *= ../../libbitdht/src/lib/libbitdht.a
-+	LIBS += ../../libbitdht/src/libbitdht.a
-+	PRE_TARGETDEPS *= ../../libbitdht/src/libbitdht.a
- }
- 
- win32 {
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/files/rsinit.h /home/retep/src/redports/glocke/net-p2p/retroshare/files/rsinit.h
--- /usr/ports/net-p2p/retroshare/files/rsinit.h	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/files/rsinit.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,78 +0,0 @@
-
-#ifndef RETROSHARE_RSINIT_H
-#define RETROSHARE_RSINIT_H
-
-class accountId
-{
-	public:
-		std::string pgpId;
-		std::string pgpName;
-		std::string pgpEmail;
-
-		std::string sslId;
-                std::string location;
-};
-
-
-class RsInitConfig 
-{
-	public:
-                /* Directories (SetupBaseDir) */
-                static std::string basedir;
-                static std::string homePath;
-#ifdef WINDOWS_SYS
-                static bool portable;
-                static bool isWindowsXP;
-#endif
-
-		static std::list<accountId> accountIds;
-		static std::string preferedId;
-
-		/* for certificate creation */
-                //static std::string gpgPasswd;
-
-#ifndef WINDOWS_SYS
-		static int lockHandle;
-#else
-		static HANDLE lockHandle;
-#endif
-
-		/* These fields are needed for login */
-                static std::string loginId;
-                static std::string configDir;
-                static std::string load_cert;
-                static std::string load_key;
-
-		static std::string passwd;
-
-                static bool autoLogin;                  /* autoLogin allowed */
-                static bool startMinimised; 		/* Icon or Full Window */
-
-                /* Key Parameters that must be set before
-                 * RetroShare will start up:
-                 */
-
-                /* Listening Port */
-                static bool forceExtPort;
-                static bool forceLocalAddr;
-                static unsigned short port;
-                static char inet[256];
-
-                /* Logging */
-                static bool haveLogFile;
-                static bool outStderr;
-                static bool haveDebugLevel;
-                static int  debugLevel;
-                static std::string logfname;
-
-                static bool firsttime_run;
-                static bool load_trustedpeer;
-                static std::string load_trustedpeer_file;
-
-                static bool udpListenerOnly;
-
-                static std::string RetroShareLink;
-};
-
-#endif
-
diff -ruN --exclude=CVS /usr/ports/net-p2p/retroshare/pkg-plist /home/retep/src/redports/glocke/net-p2p/retroshare/pkg-plist
--- /usr/ports/net-p2p/retroshare/pkg-plist	2012-01-27 15:41:16.000000000 +0100
+++ /home/retep/src/redports/glocke/net-p2p/retroshare/pkg-plist	2012-02-10 01:17:46.000000000 +0100
@@ -1,3 +1,4 @@
 bin/RetroShare
+%%NOGUI%%bin/retroshare-nogui
 %%DATADIR%%/bdboot.txt
 @dirrm %%DATADIR%%
Comment 6 scheidell freebsd_committer 2012-02-25 11:11:16 UTC
patch is still not an attachment, now, a committer needs to 'cut and 
paste' from the web site.

If you are having problems generating these patches and uploading them, 
why not subscribe to ports@ mailing list and ask for help?

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 Tilman Keskinoz freebsd_committer 2012-02-27 15:06:34 UTC
State Changed
From-To: open->closed

Committed, danke!
Comment 8 dfilter freebsd_committer 2012-02-27 15:06:39 UTC
arved       2012-02-27 15:06:26 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/retroshare   Makefile distinfo pkg-plist 
  Removed files:
    net-p2p/retroshare/files patch-libbitdht-src-util-bdrandom.cc 
                             patch-libretroshare-src-dbase-findex.h 
                             patch-libretroshare-src-ft-ftfilecreator.h 
                             patch-libretroshare-src-ft-ftfileprovider.h 
                             patch-libretroshare-src-libretroshare.pro 
                             patch-libretroshare-src-rsserver-rsinit.cc 
                             patch-libretroshare-src-rsserver-rsloginhandler.cc 
                             patch-libretroshare-src-upnp-upnphandler.cc 
                             patch-libretroshare-src-upnp-upnphandler.h 
                             patch-libretroshare-src-util-rsdir.h 
                             patch-libretroshare-src-util-rsdiscspace.cc 
                             patch-libretroshare-src-util-rsrandom.cc 
                             patch-retroshare-gui-src-RetroShare.pro 
                             rsinit.h 
  Log:
  Update to 0.5.3a
  
  PR:             164979
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.2       +33 -15    ports/net-p2p/retroshare/Makefile
  1.2       +2 -2      ports/net-p2p/retroshare/distinfo
  1.2       +0 -11     ports/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc (dead)
  1.2       +0 -17     ports/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h (dead)
  1.2       +0 -10     ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h (dead)
  1.2       +0 -10     ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h (dead)
  1.2       +0 -10     ports/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro (dead)
  1.2       +0 -88     ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc (dead)
  1.2       +0 -28     ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc (dead)
  1.2       +0 -10     ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc (dead)
  1.2       +0 -14     ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h (dead)
  1.2       +0 -20     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h (dead)
  1.2       +0 -10     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc (dead)
  1.2       +0 -11     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc (dead)
  1.2       +0 -17     ports/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro (dead)
  1.2       +0 -78     ports/net-p2p/retroshare/files/rsinit.h (dead)
  1.2       +1 -0      ports/net-p2p/retroshare/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"